---
lang: en
title: 'API docs: express.invokemiddlewareoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.invokemiddlewareoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [InvokeMiddlewareOptions](./express.invokemiddlewareoptions.md)

## InvokeMiddlewareOptions interface

Options for `InvokeMiddleware`

**Signature:**

```typescript
export interface InvokeMiddlewareOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [chain?](./express.invokemiddlewareoptions.chain.md) |  | string | _(Optional)_ Name of the extension point. Default to the <code>extensionPoint</code> tag value from the binding |
|  [middlewareList?](./express.invokemiddlewareoptions.middlewarelist.md) |  | [MiddlewareOrKey](./express.middlewareorkey.md)<!-- -->\[\] | _(Optional)_ Pre-built middleware list. If set, the list will be used to create the middleware chain without discovering again within the context. |
|  [next?](./express.invokemiddlewareoptions.next.md) |  | [Next](./context.next.md) | _(Optional)_ Optional next handler |
|  [orderedGroups?](./express.invokemiddlewareoptions.orderedgroups.md) |  | string\[\] | _(Optional)_ An array of group names to denote the order of execution, such as <code>['cors', 'caching', 'rate-limiting']</code>. |
|  [validate?](./express.invokemiddlewareoptions.validate.md) |  | (groups: string\[\]) =&gt; void | _(Optional)_ An optional function to validate the sorted groups before invoking the middleware chain |


